zenilib: zenilib/jni/external/libpng/pngrutil.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions | Variables
pngrutil.c File Reference
`#include "pngpriv.h"`

Go to the source code of this file.

## Macros

#define | B_COPY(p, x)
#define | B_MASK(p, d, s)
#define | B_MASKS(d, s) { B_MASK(1,d,s), S_MASK(3,d,s), S_MASK(5,d,s) }
#define | B_MASKx(p, x, d, s) (B_COPY(p,x)?PIXEL_MASK(p,x,d,s):0)
#define | DEPTH_INDEX(d) ((d)==1?0:((d)==2?1:2))
#define | MASK(pass, depth, display, png)
#define | MASK_EXPAND(m, d) ((m)*((d)==1?0x01010101:((d)==2?0x00010001:1)))
#define | PIXEL_MASK(p, x, d, s) (PNG_LSL(((PNG_LSL(1U,(d)))-1),(((x)*(d))^((s)?8-(d):0))))
#define | PNG_FIXED_ERROR (-1)
#define | PNG_LSL(x, s) ((x)<<((s) & 0x1f))
#define | PNG_LSR(x, s) ((x)>>((s) & 0x1f))
#define | png_strtod(p, a, b) strtod(a,b)
#define | S_COPY(p, x)
#define | S_MASK(p, d, s)
#define | S_MASKS(d, s)
#define | S_MASKx(p, x, d, s) (S_COPY(p,x)?PIXEL_MASK(p,x,d,s):0)

## Functions

| for (entry_start=(png_bytep) png_ptr->chunkdata;*entry_start;entry_start++)
| for (i=0;i< new_palette.nentries;i++)
else | if (png_ptr->mode &PNG_HAVE_IDAT)
| if (profile >=png_ptr->chunkdata+slength-1)
| if (compression_type)
| if (prefix_length > data_length||profile_length< 4)
| if (profile_size > profile_length)
| if (png_ptr->user_chunk_cache_max!=0)
| if (data_length%entry_size)
| if (dl > max_dl)
| if (new_palette.entries==NULL)
void | png_check_chunk_name (png_structp png_ptr, png_uint_32 chunk_name)
void | png_combine_row (png_structp png_ptr, png_bytep dp, int display)
int | png_crc_error (png_structp png_ptr)
int | png_crc_finish (png_structp png_ptr, png_uint_32 skip)
| png_crc_finish (png_ptr, length)
void | png_crc_read (png_structp png_ptr, png_bytep buf, png_size_t length)
| png_crc_read (png_ptr,(png_bytep) png_ptr->chunkdata, slength)
| png_debug (1,"in png_handle_iCCP")
| png_debug (1,"in png_handle_sPLT")
void | png_decompress_chunk (png_structp png_ptr, int comp_type, png_size_t chunklength, png_size_t prefix_size, png_size_t *newlength)
| png_decompress_chunk (png_ptr, compression_type, slength, prefix_length,&data_length)
void | png_do_read_interlace (png_row_infop row_info, png_bytep row, int pass, png_uint_32 transformations)
| png_error (png_ptr,"Missing IHDR before iCCP")
| png_error (png_ptr,"Missing IHDR before sPLT")
| png_free (png_ptr, png_ptr->chunkdata)
| png_free (png_ptr, new_palette.entries)
static png_fixed_point | png_get_fixed_point (png_structp png_ptr, png_const_bytep buf)
png_uint_32 PNGAPI | png_get_uint_31 (png_structp png_ptr, png_const_bytep buf)
void | png_handle_bKGD (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_cHRM (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_gAMA (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_hIST (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_IEND (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_IHDR (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_iTXt (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_oFFs (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_pCAL (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_pHYs (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_PLTE (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_sBIT (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_sCAL (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_sRGB (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_tEXt (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_tIME (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_tRNS (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_unknown (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_handle_zTXt (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
static png_size_t | png_inflate (png_structp png_ptr, png_bytep data, png_size_t size, png_bytep output, png_size_t output_size)
static void | png_init_filter_functions (png_structp pp)
| png_int_32 (PNGAPI png_get_int_32)(png_const_bytep buf)
png_uint_32 | png_read_chunk_header (png_structp png_ptr)
void | png_read_filter_row (png_structp pp, png_row_infop row_info, png_bytep row, png_const_bytep prev_row, int filter)
static void | png_read_filter_row_avg (png_row_infop row_info, png_bytep row, png_const_bytep prev_row)
static void | png_read_filter_row_paeth_1byte_pixel (png_row_infop row_info, png_bytep row, png_const_bytep prev_row)
static void | png_read_filter_row_paeth_multibyte_pixel (png_row_infop row_info, png_bytep row, png_const_bytep prev_row)
static void | png_read_filter_row_sub (png_row_infop row_info, png_bytep row, png_const_bytep prev_row)
static void | png_read_filter_row_up (png_row_infop row_info, png_bytep row, png_const_bytep prev_row)
void | png_read_finish_row (png_structp png_ptr)
void | png_read_sig (png_structp png_ptr, png_infop info_ptr)
void | png_read_start_row (png_structp png_ptr)
| png_set_iCCP (png_ptr, info_ptr, png_ptr->chunkdata, compression_type,(png_bytep) png_ptr->chunkdata+prefix_length, profile_size)
| png_set_sPLT (png_ptr, info_ptr,&new_palette, 1)
| png_uint_16 (PNGAPI png_get_uint_16)(png_const_bytep buf)
| png_uint_32 (PNGAPI png_get_uint_32)(png_const_bytep buf)
| png_warning (png_ptr,"malformed sPLT chunk")

## Variables

else Out of place iCCP | chunk
png_ptr | chunkdata = (png_charp)png_malloc(png_ptr, length + 1)
| compression_type = *profile++
png_size_t | data_length
new_palette | depth = *entry_start++
png_uint_32 | dl = (png_int_32)(data_length / entry_size)
new_palette | entries
int | entry_size = (new_palette.depth == 8 ? 6 : 10)
| entry_start
int | i = (hx + 0x95f64) & 0x100000
png_size_t | max_dl = PNG_SIZE_MAX / png_sizeof(png_sPLT_entry)
new_palette | name = png_ptr->chunkdata
new_palette | nentries = (png_int_32)(data_length / entry_size)
png_sPLT_t | new_palette
png_bytep | pC = (png_bytep)(png_ptr->chunkdata + prefix_length)
png_sPLT_entryp | pp
png_size_t | prefix_length = profile - png_ptr->chunkdata
png_charp | profile
png_alloc_size_t | profile_length = data_length - prefix_length
png_uint_32 | profile_size
| return
png_uint_32 | skip = 0
png_size_t | slength = length
| void

## Macro Definition Documentation

#define B_COPY | ( |  | p,
|  |  | x
| ) |  |

Value:
(((p)<4 ? PNG_LSR(0xff0fff33,(3-(p))*8+(7-(x))) :\
PNG_LSR(0xff55ff00,(7-(p))*8+(7-(x)))) & 1)
x
EGLSurface EGLint x
Definition: eglext.h:293
p
GLfloat GLfloat p
Definition: glew.h:14938
PNG_LSR
#define PNG_LSR(x, s)

#define B_MASK | ( |  | p,
|  |  | d,
|  |  | s
| ) |  |

Value:
MASK_EXPAND(B_MASKx(p,0,d,s) + B_MASKx(p,1,d,s) +\
B_MASKx(p,2,d,s) + B_MASKx(p,3,d,s) + B_MASKx(p,4,d,s) +\
B_MASKx(p,5,d,s) + B_MASKx(p,6,d,s) + B_MASKx(p,7,d,s), d)
MASK_EXPAND
#define MASK_EXPAND(m, d)
s
GLdouble s
Definition: glew.h:1376
d
return Display return Display Bool Bool int d
Definition: SDL_x11sym.h:30
B_MASKx
#define B_MASKx(p, x, d, s)
p
GLfloat GLfloat p
Definition: glew.h:14938

#define B_MASKS | ( |  | d,
|  |  | s
| ) |  | { B_MASK(1,d,s), S_MASK(3,d,s), S_MASK(5,d,s) }

Referenced by png_combine_row().

#define B_MASKx | ( |  | p,
|  |  | x,
|  |  | d,
|  |  | s
| ) |  | (B_COPY(p,x)?PIXEL_MASK(p,x,d,s):0)

#define DEPTH_INDEX | ( |  | d | ) | ((d)==1?0:((d)==2?1:2))

#define MASK | ( |  | pass,
|  |  | depth,
|  |  | display,
|  |  | png
| ) |  |

Value:
((display)?display_mask[png][DEPTH_INDEX(depth)][pass>>1]:\
row_mask[png][DEPTH_INDEX(depth)][pass])
display
char * display
Definition: visualinfo.c:85
DEPTH_INDEX
#define DEPTH_INDEX(d)
depth
GLint GLenum GLsizei GLsizei GLsizei depth
Definition: gl2ext.h:845

Referenced by png_combine_row().

#define MASK_EXPAND | ( |  | m,
|  |  | d
| ) |  | ((m)*((d)==1?0x01010101:((d)==2?0x00010001:1)))

#define PIXEL_MASK | ( |  | p,
|  |  | x,
|  |  | d,
|  |  | s
| ) |  | (PNG_LSL(((PNG_LSL(1U,(d)))-1),(((x)*(d))^((s)?8-(d):0))))

#define PNG_FIXED_ERROR (-1)

Definition at line 40 of file pngrutil.c.

Referenced by png_get_fixed_point(), and png_handle_cHRM().

#define PNG_LSL | ( |  | x,
|  |  | s
| ) |  | ((x)<<((s) & 0x1f))

#define PNG_LSR | ( |  | x,
|  |  | s
| ) |  | ((x)>>((s) & 0x1f))

#define png_strtod | ( |  | p,
|  |  | a,
|  |  | b
| ) |  | strtod(a,b)

Definition at line 21 of file pngrutil.c.

#define S_COPY | ( |  | p,
|  |  | x
| ) |  |

Value:
(((p)<4 ? PNG_LSR(0x80088822,(3-(p))*8+(7-(x))) :\
PNG_LSR(0xaa55ff00,(7-(p))*8+(7-(x)))) & 1)
x
EGLSurface EGLint x
Definition: eglext.h:293
p
GLfloat GLfloat p
Definition: glew.h:14938
PNG_LSR
#define PNG_LSR(x, s)

#define S_MASK | ( |  | p,
|  |  | d,
|  |  | s
| ) |  |

Value:
MASK_EXPAND(S_MASKx(p,0,d,s) + S_MASKx(p,1,d,s) +\
S_MASKx(p,2,d,s) + S_MASKx(p,3,d,s) + S_MASKx(p,4,d,s) +\
S_MASKx(p,5,d,s) + S_MASKx(p,6,d,s) + S_MASKx(p,7,d,s), d)
MASK_EXPAND
#define MASK_EXPAND(m, d)
s
GLdouble s
Definition: glew.h:1376
S_MASKx
#define S_MASKx(p, x, d, s)
d
return Display return Display Bool Bool int d
Definition: SDL_x11sym.h:30
p
GLfloat GLfloat p
Definition: glew.h:14938

#define S_MASKS | ( |  | d,
|  |  | s
| ) |  |

Value:
{ S_MASK(0,d,s), S_MASK(1,d,s), S_MASK(2,d,s),\
S_MASK(3,d,s), S_MASK(4,d,s), S_MASK(5,d,s) }
s
GLdouble s
Definition: glew.h:1376
d
return Display return Display Bool Bool int d
Definition: SDL_x11sym.h:30
S_MASK
#define S_MASK(p, d, s)

Referenced by png_combine_row().

#define S_MASKx | ( |  | p,
|  |  | x,
|  |  | d,
|  |  | s
| ) |  | (S_COPY(p,x)?PIXEL_MASK(p,x,d,s):0)

## Function Documentation

for | ( | entry_start | = `(png_bytep) png_ptr->chunkdata;*entry_start;entry_start++` | ) |

for | ( |  | ) |

Definition at line 1496 of file pngrutil.c.

References png_sPLT_struct::depth, png_sPLT_struct::entries, i, and png_get_uint_16.

else if | ( | png_ptr->mode & | PNG_HAVE_IDAT | ) |

Definition at line 1251 of file pngrutil.c.

References png_crc_finish(), and png_warning().

if | ( | profile >=png_ptr->chunkdata+slength- | 1 | ) |

Definition at line 1300 of file pngrutil.c.

References NULL, png_free(), and png_warning().

if | ( | compression_type |  | ) |

Definition at line 1311 of file pngrutil.c.

References png_warning().

if | ( | prefix_length |  | ) |

Definition at line 1324 of file pngrutil.c.

References NULL, png_free(), and png_warning().

if | ( | profile_size | ,
|  | profile_length |
| ) |  |

Definition at line 1346 of file pngrutil.c.

References NULL, png_formatted_warning(), png_free(), PNG_NUMBER_FORMAT_u, png_warning_parameter_unsigned(), and PNG_WARNING_PARAMETERS.

if | ( | png_ptr->user_chunk_cache_max! | = `0` | ) |

Definition at line 1387 of file pngrutil.c.

References png_crc_finish(), and png_warning().

if | ( | data_length% | entry_size | ) |

Definition at line 1467 of file pngrutil.c.

References NULL, png_free(), and png_warning().

if | ( | dl | ,
|  | max_dl |
| ) |  |

Definition at line 1478 of file pngrutil.c.

References png_warning().

if | ( | new_palette. | entries = `= NULL` | ) |

Definition at line 1489 of file pngrutil.c.

References png_warning().

void png_check_chunk_name | ( | png_structp | png_ptr,
|  | png_uint_32 | chunk_name
| ) |  |

Definition at line 2759 of file pngrutil.c.

References i, and png_debug.

Referenced by png_push_read_chunk(), and png_read_chunk_header().

void png_combine_row | ( | png_structp | png_ptr,
|  | png_bytep | dp,
|  | int | display
| ) |  |

Definition at line 2784 of file pngrutil.c.

References B_MASKS, m, MASK, NULL, PNG_CONST, png_debug, png_error(), PNG_INTERLACE, png_isaligned, png_memcpy, PNG_PACKSWAP, PNG_PASS_COL_OFFSET, PNG_PASS_START_COL, PNG_ROWBYTES, S_MASKS, and skip.

Referenced by png_progressive_combine_row(), and png_read_row().

int png_crc_error | ( | png_structp | png_ptr | ) |

Definition at line 244 of file pngrutil.c.

References PNG_CHUNK_ANCILLIARY, PNG_FLAG_CRC_ANCILLARY_MASK, PNG_FLAG_CRC_ANCILLARY_NOWARN, PNG_FLAG_CRC_ANCILLARY_USE, PNG_FLAG_CRC_CRITICAL_IGNORE, png_get_uint_32, PNG_IO_CHUNK_CRC, PNG_IO_READING, and png_read_data().

Referenced by png_crc_finish(), and png_handle_PLTE().

int png_crc_finish | ( | png_structp | png_ptr,
|  | png_uint_32 | skip
| ) |  |

Definition at line 204 of file pngrutil.c.

References i, PNG_CHUNK_ANCILLIARY, png_chunk_benign_error(), png_chunk_warning(), png_crc_error(), png_crc_read(), PNG_FLAG_CRC_ANCILLARY_NOWARN, and PNG_FLAG_CRC_CRITICAL_USE.

Referenced by if(), png_handle_bKGD(), png_handle_cHRM(), png_handle_gAMA(), png_handle_hIST(), png_handle_IEND(), png_handle_IHDR(), png_handle_iTXt(), png_handle_oFFs(), png_handle_pCAL(), png_handle_pHYs(), png_handle_PLTE(), png_handle_sBIT(), png_handle_sCAL(), png_handle_sRGB(), png_handle_tEXt(), png_handle_tIME(), png_handle_tRNS(), png_handle_unknown(), png_handle_zTXt(), png_push_crc_finish(), png_push_read_IDAT(), png_read_end(), png_read_finish_row(), and png_read_row().

png_crc_finish | ( | png_ptr | ,
|  | length |
| ) |  |

void png_crc_read | ( | png_structp | png_ptr,
|  | png_bytep | buf,
|  | png_size_t | length
| ) |  |

Definition at line 189 of file pngrutil.c.

References NULL, png_calculate_crc(), and png_read_data().

Referenced by png_crc_finish(), png_handle_bKGD(), png_handle_cHRM(), png_handle_gAMA(), png_handle_hIST(), png_handle_IHDR(), png_handle_iTXt(), png_handle_oFFs(), png_handle_pCAL(), png_handle_pHYs(), png_handle_PLTE(), png_handle_sBIT(), png_handle_sCAL(), png_handle_sRGB(), png_handle_tEXt(), png_handle_tIME(), png_handle_tRNS(), png_handle_unknown(), png_handle_zTXt(), png_push_handle_unknown(), png_push_read_chunk(), png_push_read_IDAT(), png_push_read_iTXt(), png_push_read_tEXt(), png_push_read_zTXt(), png_read_finish_row(), and png_read_row().

png_crc_read | ( | png_ptr | ,
|  | (png_bytep) png_ptr-> | chunkdata,
|  | slength |
| ) |  |

png_debug | ( | 1 | ,
|  | "in png_handle_iCCP" |
| ) |  |

png_debug | ( | 1 | ,
|  | "in png_handle_sPLT" |
| ) |  |

void png_decompress_chunk | ( | png_structp | png_ptr,
|  | int | comp_type,
|  | png_size_t | chunklength,
|  | png_size_t | prefix_size,
|  | png_size_t * | newlength
| ) |  |

Definition at line 412 of file pngrutil.c.

References NULL, PNG_COMPRESSION_TYPE_BASE, png_formatted_warning(), png_free(), png_inflate(), png_memcpy, PNG_NUMBER_FORMAT_d, PNG_SET_CHUNK_MALLOC_LIMIT_SUPPORTED, PNG_USER_CHUNK_MALLOC_MAX, png_warning(), png_warning_parameter_signed(), and PNG_WARNING_PARAMETERS.

Referenced by png_handle_iTXt(), and png_handle_zTXt().

png_decompress_chunk | ( | png_ptr | ,
|  | compression_type | ,
|  | slength | ,
|  | prefix_length | ,
|  | & | data_length
| ) |  |

void png_do_read_interlace | ( | png_row_infop | row_info,
|  | png_bytep | row,
|  | int | pass,
|  | png_uint_32 | transformations
| ) |  |

Definition at line 3264 of file pngrutil.c.

References i, int, j, NULL, PNG_CONST, png_debug, png_memcpy, PNG_PACKSWAP, PNG_ROWBYTES, and PNG_UNUSED.

Referenced by png_push_process_row(), and png_read_row().

png_error | ( | png_ptr | ,
|  | "Missing IHDR before iCCP" |
| ) |  |

Referenced by png_ascii_from_fixed(), png_ascii_from_fp(), png_benign_error(), png_check_IHDR(), png_combine_row(), png_default_read_data(), png_default_write_data(), png_do_read_transformations(), PNG_FUNCTION(), png_get_uint_31(), png_handle_bKGD(), png_handle_cHRM(), png_handle_gAMA(), png_handle_hIST(), png_handle_IEND(), png_handle_IHDR(), png_handle_iTXt(), png_handle_oFFs(), png_handle_pCAL(), png_handle_pHYs(), png_handle_PLTE(), png_handle_sBIT(), png_handle_sCAL(), png_handle_sRGB(), png_handle_tEXt(), png_handle_tIME(), png_handle_tRNS(), png_handle_zTXt(), png_init_read_transformations(), png_process_data_skip(), png_process_IDAT_data(), png_push_handle_iTXt(), png_push_handle_tEXt(), png_push_handle_zTXt(), png_push_process_row(), png_push_read_chunk(), png_push_read_IDAT(), png_push_read_sig(), png_push_save_buffer(), png_read_data(), png_read_finish_row(), png_read_image(), png_read_info(), png_read_png(), png_read_row(), png_read_sig(), png_read_start_row(), png_set_alpha_mode_fixed(), png_set_cHRM_XYZ_fixed(), png_set_filter(), png_set_gamma_fixed(), png_set_pCAL(), png_set_PLTE(), png_set_rgb_to_gray_fixed(), png_set_sCAL_s(), png_set_sig_bytes(), png_set_text(), png_text_compress(), png_write_complete_chunk(), png_write_compressed_data_out(), png_write_data(), png_write_end(), png_write_filtered_row(), png_write_finish_row(), png_write_flush(), png_write_IDAT(), png_write_IHDR(), png_write_info(), png_write_PLTE(), png_write_row(), png_XYZ_from_xy_checked(), and png_zlib_claim().

png_error | ( | png_ptr | ,
|  | "Missing IHDR before sPLT" |
| ) |  |

png_free | ( | png_ptr | ,
|  | png_ptr-> | chunkdata
| ) |  |

png_free | ( | png_ptr | ,
|  | new_palette. | entries
| ) |  |

static png_fixed_point png_get_fixed_point | ( | png_structp | png_ptr,
|  | png_const_bytep | buf
| ) |  |

static

Definition at line 43 of file pngrutil.c.

References NULL, PNG_FIXED_ERROR, png_get_uint_32, PNG_UINT_31_MAX, and png_warning().

Referenced by png_handle_cHRM(), and png_handle_gAMA().

png_uint_32 PNGAPI png_get_uint_31 | ( | png_structp | png_ptr,
|  | png_const_bytep | buf
| ) |  |

Definition at line 24 of file pngrutil.c.

References png_error(), png_get_uint_32, and PNG_UINT_31_MAX.

Referenced by png_handle_IHDR(), png_push_read_chunk(), png_push_read_IDAT(), png_read_chunk_header(), and read_user_chunk_callback().

void png_handle_bKGD | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |  |

Definition at line 1661 of file pngrutil.c.

References png_color_16_struct::blue, png_color_16_struct::gray, png_color_16_struct::green, png_color_16_struct::index, NULL, PNG_COLOR_MASK_COLOR, PNG_COLOR_TYPE_PALETTE, png_crc_finish(), png_crc_read(), png_debug, png_error(), png_get_uint_16, PNG_HAVE_IDAT, PNG_HAVE_IHDR, PNG_HAVE_PLTE, PNG_INFO_bKGD, png_set_bKGD(), png_warning(), and png_color_16_struct::red.

Referenced by png_push_read_chunk(), png_read_end(), and png_read_info().

void png_handle_cHRM | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |  |

Definition at line 922 of file pngrutil.c.

References png_xy::bluex, png_xy::bluey, png_XYZ::blueY, png_xy::greenx, png_xy::greeny, png_XYZ::greenY, NULL, png_crc_finish(), png_crc_read(), png_debug, png_error(), PNG_FIXED_ERROR, png_formatted_warning(), PNG_FP_1, png_get_fixed_point(), PNG_HAVE_IDAT, PNG_HAVE_IHDR, PNG_HAVE_PLTE, PNG_INFO_cHRM, PNG_INFO_sRGB, png_muldiv(), PNG_NUMBER_FORMAT_fixed, PNG_OUT_OF_RANGE, PNG_READ_sRGB_SUPPORTED, png_set_cHRM_fixed(), png_warning(), png_warning_parameter_signed(), PNG_WARNING_PARAMETERS, png_XYZ_from_xy_checked(), png_xy::redx, png_xy::redy, png_XYZ::redY, png_xy::whitex, and png_xy::whitey.

Referenced by png_push_read_chunk(), png_read_end(), and png_read_info().

void png_handle_gAMA | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |  |

Definition at line 769 of file pngrutil.c.

References NULL, png_crc_finish(), png_crc_read(), png_debug, png_error(), png_formatted_warning(), png_get_fixed_point(), PNG_HAVE_IDAT, PNG_HAVE_IHDR, PNG_HAVE_PLTE, PNG_INFO_gAMA, PNG_INFO_sRGB, PNG_NUMBER_FORMAT_fixed, PNG_OUT_OF_RANGE, PNG_READ_sRGB_SUPPORTED, png_set_gAMA_fixed(), png_warning(), png_warning_parameter_signed(), and PNG_WARNING_PARAMETERS.

Referenced by png_push_read_chunk(), png_read_end(), and png_read_info().

void png_handle_hIST | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |  |

Definition at line 1767 of file pngrutil.c.

References i, NULL, png_crc_finish(), png_crc_read(), png_debug, png_error(), png_get_uint_16, PNG_HAVE_IDAT, PNG_HAVE_IHDR, PNG_HAVE_PLTE, PNG_INFO_hIST, PNG_MAX_PALETTE_LENGTH, png_set_hIST(), and png_warning().

Referenced by png_push_read_chunk(), png_read_end(), and png_read_info().

void png_handle_IEND | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |  |

Definition at line 746 of file pngrutil.c.

References PNG_AFTER_IDAT, png_crc_finish(), png_debug, png_error(), PNG_HAVE_IDAT, PNG_HAVE_IEND, PNG_HAVE_IHDR, PNG_UNUSED, and png_warning().

Referenced by png_push_read_chunk(), png_read_end(), and png_read_info().

void png_handle_IHDR | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |  |

Definition at line 523 of file pngrutil.c.

References compression_type, PNG_COLOR_TYPE_GRAY, PNG_COLOR_TYPE_GRAY_ALPHA, PNG_COLOR_TYPE_PALETTE, PNG_COLOR_TYPE_RGB, PNG_COLOR_TYPE_RGB_ALPHA, png_crc_finish(), png_crc_read(), png_debug, png_debug1, png_error(), png_get_uint_31(), PNG_HAVE_IHDR, PNG_ROWBYTES, and png_set_IHDR().

Referenced by png_push_read_chunk(), png_read_end(), and png_read_info().

void png_handle_iTXt | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |  |

Definition at line 2449 of file pngrutil.c.

References int, NULL, PNG_AFTER_IDAT, png_crc_finish(), png_crc_read(), png_debug, png_decompress_chunk(), png_error(), png_free(), PNG_HAVE_IDAT, PNG_HAVE_IHDR, png_set_text_2(), png_sizeof, png_strlen, PNG_TEXT_COMPRESSION_zTXt, png_warning(), ret, and slength.

Referenced by png_read_end(), and png_read_info().

void png_handle_oFFs | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |  |

Definition at line 1871 of file pngrutil.c.

References NULL, png_crc_finish(), png_crc_read(), png_debug, png_error(), png_get_int_32, PNG_HAVE_IDAT, PNG_HAVE_IHDR, PNG_INFO_oFFs, png_set_oFFs(), and png_warning().

Referenced by png_push_read_chunk(), png_read_end(), and png_read_info().

void png_handle_pCAL | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |  |

Definition at line 1918 of file pngrutil.c.

References i, int, NULL, png_crc_finish(), png_crc_read(), png_debug, png_debug1, PNG_EQUATION_ARBITRARY, PNG_EQUATION_BASE_E, PNG_EQUATION_HYPERBOLIC, PNG_EQUATION_LAST, PNG_EQUATION_LINEAR, png_error(), png_free(), png_get_int_32, PNG_HAVE_IDAT, PNG_HAVE_IHDR, PNG_INFO_pCAL, png_set_pCAL(), png_sizeof, png_warning(), and slength.

Referenced by png_push_read_chunk(), png_read_end(), and png_read_info().

void png_handle_pHYs | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |  |

Definition at line 1825 of file pngrutil.c.

References NULL, png_crc_finish(), png_crc_read(), png_debug, png_error(), png_get_uint_32, PNG_HAVE_IDAT, PNG_HAVE_IHDR, PNG_INFO_pHYs, png_set_pHYs(), and png_warning().

Referenced by png_push_read_chunk(), png_read_end(), and png_read_info().

void png_handle_PLTE | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |  |

Definition at line 598 of file pngrutil.c.

References png_color_struct::blue, png_color_struct::green, i, int, NULL, png_chunk_benign_error(), png_chunk_warning(), PNG_COLOR_MASK_COLOR, PNG_COLOR_TYPE_PALETTE, png_crc_error(), png_crc_finish(), png_crc_read(), png_debug, png_error(), PNG_FLAG_CRC_ANCILLARY_NOWARN, PNG_FLAG_CRC_ANCILLARY_USE, PNG_HAVE_IDAT, PNG_HAVE_IHDR, PNG_HAVE_PLTE, PNG_INFO_tRNS, PNG_MAX_PALETTE_LENGTH, png_set_PLTE(), png_warning(), and png_color_struct::red.

Referenced by png_push_read_chunk(), png_read_end(), and png_read_info().

void png_handle_sBIT | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |  |

Definition at line 849 of file pngrutil.c.

References if(), NULL, PNG_COLOR_MASK_COLOR, PNG_COLOR_TYPE_PALETTE, png_crc_finish(), png_crc_read(), png_debug, png_error(), PNG_HAVE_IDAT, PNG_HAVE_IHDR, PNG_HAVE_PLTE, PNG_INFO_sBIT, png_set_sBIT(), and png_warning().

Referenced by png_push_read_chunk(), png_read_end(), and png_read_info().

void png_handle_sCAL | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |  |

Definition at line 2062 of file pngrutil.c.

References i, NULL, png_check_fp_number(), png_crc_finish(), png_crc_read(), png_debug, png_debug1, png_error(), PNG_FP_IS_POSITIVE, png_free(), PNG_HAVE_IDAT, PNG_HAVE_IHDR, PNG_INFO_sCAL, png_set_sCAL_s(), png_warning(), and slength.

Referenced by png_push_read_chunk(), png_read_end(), and png_read_info().

void png_handle_sRGB | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |  |

Definition at line 1107 of file pngrutil.c.

References NULL, png_crc_finish(), png_crc_read(), png_debug, png_error(), png_formatted_warning(), PNG_HAVE_IDAT, PNG_HAVE_IHDR, PNG_HAVE_PLTE, PNG_INFO_cHRM, PNG_INFO_gAMA, PNG_INFO_sRGB, PNG_NUMBER_FORMAT_fixed, PNG_OUT_OF_RANGE, png_set_sRGB_gAMA_and_cHRM(), PNG_sRGB_INTENT_LAST, png_warning(), png_warning_parameter_signed(), and PNG_WARNING_PARAMETERS.

Referenced by png_push_read_chunk(), png_read_end(), and png_read_info().

void png_handle_tEXt | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |  |

Definition at line 2212 of file pngrutil.c.

References NULL, PNG_AFTER_IDAT, png_crc_finish(), png_crc_read(), png_debug, png_error(), png_free(), PNG_HAVE_IDAT, PNG_HAVE_IHDR, png_set_text_2(), png_sizeof, png_strlen, PNG_TEXT_COMPRESSION_NONE, png_warning(), ret, and slength.

Referenced by png_read_end(), and png_read_info().

void png_handle_tIME | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |  |

Definition at line 2166 of file pngrutil.c.

References png_time_struct::day, png_time_struct::hour, png_time_struct::minute, png_time_struct::month, NULL, PNG_AFTER_IDAT, png_crc_finish(), png_crc_read(), png_debug, png_error(), png_get_uint_16, PNG_HAVE_IDAT, PNG_HAVE_IHDR, PNG_INFO_tIME, png_set_tIME(), png_warning(), png_time_struct::second, and png_time_struct::year.

Referenced by png_push_read_chunk(), png_read_end(), and png_read_info().

void png_handle_tRNS | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |  |

Definition at line 1557 of file pngrutil.c.

References NULL, PNG_COLOR_TYPE_GRAY, PNG_COLOR_TYPE_PALETTE, PNG_COLOR_TYPE_RGB, png_crc_finish(), png_crc_read(), png_debug, png_error(), png_get_uint_16, PNG_HAVE_IDAT, PNG_HAVE_IHDR, PNG_HAVE_PLTE, PNG_INFO_tRNS, PNG_MAX_PALETTE_LENGTH, png_set_tRNS(), and png_warning().

Referenced by png_push_read_chunk(), png_read_end(), and png_read_info().

void png_handle_unknown | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |  |

Definition at line 2623 of file pngrutil.c.

References NULL, PNG_AFTER_IDAT, PNG_CHUNK_CRITICAL, png_chunk_unknown_handling(), png_crc_finish(), png_crc_read(), PNG_CSTRING_FROM_CHUNK, png_debug, PNG_FLAG_KEEP_UNKNOWN_CHUNKS, png_free(), PNG_HANDLE_CHUNK_ALWAYS, PNG_HAVE_IDAT, png_IDAT, PNG_READ_USER_CHUNKS_SUPPORTED, png_set_unknown_chunks(), PNG_UNUSED, png_warning(), and ret.

Referenced by png_push_read_chunk(), png_read_end(), and png_read_info().

void png_handle_zTXt | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |  |

Definition at line 2319 of file pngrutil.c.

References NULL, PNG_AFTER_IDAT, png_crc_finish(), png_crc_read(), png_debug, png_decompress_chunk(), png_error(), png_free(), PNG_HAVE_IDAT, PNG_HAVE_IHDR, png_set_text_2(), png_sizeof, PNG_TEXT_COMPRESSION_zTXt, png_warning(), ret, and slength.

Referenced by png_read_end(), and png_read_info().

static png_size_t png_inflate | ( | png_structp | png_ptr,
|  | png_bytep | data,
|  | png_size_t | size,
|  | png_bytep | output,
|  | png_size_t | output_size
| ) |  |

static

Definition at line 282 of file pngrutil.c.

References inflate(), inflateReset(), png_chunk_warning(), png_memcpy, ret, Z_BUF_ERROR, Z_DATA_ERROR, Z_NO_FLUSH, Z_OK, Z_STREAM_END, and ZLIB_IO_MAX.

Referenced by png_decompress_chunk().

static void png_init_filter_functions | ( | png_structp | pp | ) |

static

Definition at line 3723 of file pngrutil.c.

References PNG_FILTER_VALUE_AVG, PNG_FILTER_VALUE_PAETH, PNG_FILTER_VALUE_SUB, PNG_FILTER_VALUE_UP, png_read_filter_row_avg(), png_read_filter_row_paeth_1byte_pixel(), png_read_filter_row_paeth_multibyte_pixel(), png_read_filter_row_sub(), and png_read_filter_row_up().

Referenced by png_read_filter_row().

png_int_32 | ( | PNGAPI | png_get_int_32 | ) |

Definition at line 86 of file pngrutil.c.

References png_get_uint_32.

png_uint_32 png_read_chunk_header | ( | png_structp | png_ptr | ) |

Definition at line 152 of file pngrutil.c.

References png_calculate_crc(), png_check_chunk_name(), PNG_CHUNK_FROM_STRING, png_debug2, png_get_uint_31(), PNG_IO_CHUNK_DATA, PNG_IO_CHUNK_HDR, PNG_IO_READING, png_read_data(), and png_reset_crc().

Referenced by png_read_end(), png_read_finish_row(), png_read_info(), and png_read_row().

void png_read_filter_row | ( | png_structp | pp,
|  | png_row_infop | row_info,
|  | png_bytep | row,
|  | png_const_bytep | prev_row,
|  | int | filter
| ) |  |

Definition at line 3743 of file pngrutil.c.

References NULL, PNG_FILTER_VALUE_LAST, PNG_FILTER_VALUE_NONE, and png_init_filter_functions().

Referenced by png_push_process_row(), and png_read_row().

static void png_read_filter_row_avg | ( | png_row_infop | row_info,
|  | png_bytep | row,
|  | png_const_bytep | prev_row
| ) |  |

static

Definition at line 3539 of file pngrutil.c.

References i, and int.

Referenced by png_init_filter_functions().

static void png_read_filter_row_paeth_1byte_pixel | ( | png_row_infop | row_info,
|  | png_bytep | row,
|  | png_const_bytep | prev_row
| ) |  |

static

Definition at line 3566 of file pngrutil.c.

Referenced by png_init_filter_functions().

static void png_read_filter_row_paeth_multibyte_pixel | ( | png_row_infop | row_info,
|  | png_bytep | row,
|  | png_const_bytep | prev_row
| ) |  |

static

Definition at line 3614 of file pngrutil.c.

Referenced by png_init_filter_functions().

static void png_read_filter_row_sub | ( | png_row_infop | row_info,
|  | png_bytep | row,
|  | png_const_bytep | prev_row
| ) |  |

static

Definition at line 3505 of file pngrutil.c.

References i, and PNG_UNUSED.

Referenced by png_init_filter_functions().

static void png_read_filter_row_up | ( | png_row_infop | row_info,
|  | png_bytep | row,
|  | png_const_bytep | prev_row
| ) |  |

static

Definition at line 3523 of file pngrutil.c.

References i.

Referenced by png_init_filter_functions().

void png_read_finish_row | ( | png_structp | png_ptr | ) |

Definition at line 3754 of file pngrutil.c.

References if(), inflate(), inflateReset(), PNG_AFTER_IDAT, PNG_CONST, png_crc_finish(), png_crc_read(), png_debug, png_error(), PNG_FLAG_ZLIB_FINISHED, png_IDAT, PNG_INTERLACE, png_memset, png_read_chunk_header(), png_warning(), ret, Z_OK, Z_PARTIAL_FLUSH, and Z_STREAM_END.

Referenced by png_read_row().

void png_read_sig | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |  |

Definition at line 117 of file pngrutil.c.

References png_error(), PNG_HAVE_PNG_SIGNATURE, PNG_IO_READING, PNG_IO_SIGNATURE, png_read_data(), and png_sig_cmp().

Referenced by png_read_info().

void png_read_start_row | ( | png_structp | png_ptr | ) |

Definition at line 3886 of file pngrutil.c.

References int, PNG_COLOR_TYPE_GRAY, PNG_COLOR_TYPE_GRAY_ALPHA, PNG_COLOR_TYPE_PALETTE, PNG_COLOR_TYPE_RGB, PNG_COLOR_TYPE_RGB_ALPHA, PNG_CONST, png_debug, png_debug1, png_error(), PNG_EXPAND, PNG_EXPAND_16, PNG_FILLER, PNG_FLAG_ROW_INIT, png_free(), PNG_GRAY_TO_RGB, png_init_read_transformations(), PNG_INTERLACE, png_memset, PNG_PACK, PNG_READ_EXPAND_SUPPORTED, PNG_READ_FILLER_SUPPORTED, PNG_ROWBYTES, PNG_SIZE_MAX, and PNG_USER_TRANSFORM.

Referenced by png_read_row(), png_read_update_info(), and png_start_read_image().

png_set_iCCP | ( | png_ptr | ,
|  | info_ptr | ,
|  | png_ptr-> | chunkdata,
|  | compression_type | ,
|  | (png_bytep) png_ptr->chunkdata+ | prefix_length,
|  | profile_size |
| ) |  |

Referenced by test_one_file().

png_set_sPLT | ( | png_ptr | ,
|  | info_ptr | ,
|  | & | new_palette,
|  | 1 |
| ) |  |

png_uint_16 | ( | PNGAPI | png_get_uint_16 | ) |

Definition at line 98 of file pngrutil.c.

References int.

png_uint_32 | ( | PNGAPI | png_get_uint_32 | ) |

Definition at line 69 of file pngrutil.c.

png_warning | ( | png_ptr | ,
|  | "malformed sPLT chunk" |
| ) |  |

## Variable Documentation

else Out of place iCCP chunk

Definition at line 1260 of file pngrutil.c.

Referenced by ambient_read(), color_read(), distance_cue_read(), face_array_read(), fog_read(), int_percentage_read(), kfdata_read(), layer_fog_read(), lib3ds_camera_read(), lib3ds_file_read(), lib3ds_light_read(), lib3ds_material_read(), lib3ds_mesh_read(), lib3ds_node_read(), lib3ds_viewport_read(), mdata_read(), named_object_read(), png_set_unknown_chunk_location(), Zeni::Split_UDP_Socket::receive(), SDL_LoadWAV_RW(), Zeni::Split_UDP_Socket::send(), solid_bgnd_read(), spotlight_read(), texture_map_read(), texture_map_write(), and v_gradient_read().

png_ptr chunkdata = (png_charp)png_malloc(png_ptr, length + 1)

Definition at line 1279 of file pngrutil.c.

compression_type = *profile++

Definition at line 1309 of file pngrutil.c.

Referenced by png_handle_IHDR(), and test_one_file().

png_uint_32 data_length

Initial value:
= length - (png_uint_32)(entry_start -
(png_bytep)png_ptr->chunkdata)
png_uint_32
unsigned int png_uint_32
Definition: pngconf.h:441
length
GLsizei GLsizei * length
Definition: gl2ext.h:792
png_bytep
png_byte FAR * png_bytep
Definition: pngconf.h:526
entry_start
entry_start
Definition: pngrutil.c:1446
chunkdata
png_ptr chunkdata
Definition: pngrutil.c:1279

Definition at line 1244 of file pngrutil.c.

new_palette depth = *entry_start++

Definition at line 1457 of file pngrutil.c.

dl = (png_int_32)(data_length / entry_size)

Definition at line 1380 of file pngrutil.c.

new_palette entries

Initial value:
= (png_sPLT_entryp)png_malloc_warn(
png_ptr, new_palette.nentries * png_sizeof(png_sPLT_entry))
png_sPLT_struct::nentries
png_int_32 nentries
Definition: png.h:611
png_sPLT_entryp
png_sPLT_entry FAR * png_sPLT_entryp
Definition: png.h:597
png_sPLT_entry_struct
Definition: png.h:589
new_palette
png_sPLT_t new_palette
Definition: pngrutil.c:1374
png_sizeof
#define png_sizeof(x)
Definition: pngconf.h:456

Definition at line 1486 of file pngrutil.c.

Referenced by _book_maptype1_quantvals(), floor1_encode(), FreeALConfig(), GetConfigValue(), main(), png_write_sPLT(), res0_unpack(), vqgen_cellmetric(), and vqgen_init().

entry_size = (new_palette.depth == 8 ? 6 : 10)

Definition at line 1377 of file pngrutil.c.

Referenced by png_write_sPLT().

entry_start

Definition at line 1446 of file pngrutil.c.

hx & i = (hx + 0x95f64) & 0x100000

Definition at line 1377 of file pngrutil.c.

Referenced by _01class(), _01forward(), _01inverse(), _2class(), __ieee754_pow(), _bdf_list_join(), _bdf_list_shift(), _bdf_parse_glyphs(), _bdf_parse_start(), _best(), _book_maptype1_quantvals(), _dist(), _encodepart(), _fetch_and_process_packet(), _fetch_headers(), _glewStrCLen(), _glewStrLen(), _glewStrSame(), _glewStrSame1(), _glewStrSame2(), _glewStrSame3(), _make_words(), _ov_64_seek_lap(), _ov_d_seek_lap(), _ov_getlap(), _ov_splice(), _preextrapolate_helper(), _rotateSurface(), _tt_check_patents_in_table(), _vds_shared_init(), _ve_amp(), _ve_envelope_clear(), _ve_envelope_init(), _ve_envelope_mark(), _ve_envelope_search(), _ve_envelope_shift(), _vorbis_apply_window(), _vorbis_pack_books(), _vorbis_pack_comment(), _vorbis_unpack_books(), _vorbis_unpack_comment(), _vp_couple_quantize_normalize(), _vp_noisemask(), _vp_offset_and_mix(), _vp_psy_clear(), _vp_psy_init(), _vp_tonemask(), _vqgen_seed(), accumulate_fit(), sh::OutputHLSL::addConstructor(), TParseContext::addConstVectorNode(), AddEffectSlotArray(), TIntermediate::addSwizzle(), af_face_globals_compute_script_coverage(), af_latin2_metrics_check_digits(), af_latin_metrics_check_digits(), af_sort_pos(), af_sort_widths(), afm_parser_read_vals(), al_print(), alc_alsa_deinit(), alc_alsa_probe(), alc_deinit(), alc_initconfig(), alcDSoundDeinit(), alcDSoundProbe(), alcGetEnumValue(), alcGetProcAddress(), alcMMDevApiDeinit(), alcMMDevApiProbe(), alcOpenDevice(), alcWinMMDeinit(), alcWinMMProbe(), alDeleteAuxiliaryEffectSlots(), alDeleteBuffers(), alDeleteEffects(), alDeleteFilters(), alDeleteSources(), alEffecti(), alGetSourcefv(), Zeni::align_similar_normals(), alSourcedvSOFT(), alSourcePausev(), alSourcePlayv(), alSourceQueueBuffers(), alSourceRewindv(), alSourceStopv(), alSourceUnqueueBuffers(), aluMixData(), ambient_read(), ApplyCoeffs(), ApplyCoeffsStep(), attenuate_curve(), AverageHrirMagnitude(), bark_noise_hybridmp(), bdf_free_font(), TiXmlText::Blank(), book_dup_or_new(), build_device_list(), build_tree_from_lengths(), build_tree_from_lengths0(), CalcNonAttnSourceParams(), CalcSourceParams(), CalculateDiffuseFieldAverage(), cff_charset_compute_cids(), cff_charset_load(), cff_decoder_parse_charstrings(), cff_encoding_load(), cff_face_init(), cff_get_name_index(), cff_size_done(), cff_size_init(), cff_size_request(), cheby(), TiXmlHandle::Child(), TiXmlHandle::ChildElement(), cleanup(), closeAVFile(), codebook_load(), color_read(), colorf_defined(), CompareStruct(), CompareStructure(), ComputeAngleGains(), TParseContext::constructorErrorCheck(), TStructure::containsArrays(), TParseContext::containsSampler(), Convert_Glyph(), copy_32(), copy_opaque_16(), copy_row3(), copy_transl_555(), copy_transl_565(), copyfont(), Zeni::Vertex_Buffer::debug_render(), sh::OutputHLSL::declareUniform(), decode_check_sum(), decode_descriptors(), decode_established_timings(), decode_fraction(), decode_lf_string(), decode_standard_timings(), DecomposeDevFormat(), DecomposeFormat(), DecomposeUserFormat(), DedicatedProcess(), destroy_buffer_list(), DetectCallDepth::detectCallDepth(), DiffuseFieldEqualize(), dlmalloc(), do_test(), dollarDifference(), dollarNormalize(), dollarRecognize(), dradb2(), dradb3(), dradb4(), dradbg(), dradf2(), dradf4(), dradfg(), drftb1(), drftf1(), drfti1(), DSoundEnumCaptureDevices(), DSoundEnumPlaybackDevices(), DSoundOpenCapture(), DSoundOpenPlayback(), DSoundResetPlayback(), dump_fontinfo(), dump_monitor_info(), EchoDeviceUpdate(), EchoProcess(), EchoUpdate(), TType::elementRegisterCount(), TiXmlBase::EncodeString(), Zeni::Text_Box::erase_lines(), ExecuteTest(), extmatch(), face_array_read(), face_array_write(), fastf2i(), FftInverse(), FftSummation(), file_bounding_box_of_nodes_impl(), Fill_IMA_ADPCM_block(), Filter2P(), Zeni::Sprite::find_frame(), find_index(), FindFonts(), fit_line(), flag_array_write(), floor(), floor1_encode(), floor1_fit(), floor1_interpolate_fit(), floor1_inverse1(), floor1_look(), fnt_face_get_dll_font(), fog_read(), TIntermConstantUnion::fold(), for(), free_device_list(), FreeALConfig(), FreeShaderSource(), ft_bitmap_assure_buffer(), FT_Bitmap_Convert(), FT_Bitmap_Embolden(), FT_CMap_Done(), ft_div64by32(), FT_Get_Charmap_Index(), FT_Match_Size(), FT_Open_Face(), FT_Outline_Get_Orientation(), FT_Raccess_Get_DataOffsets(), FT_Raccess_Get_HeaderInfo(), FT_Raccess_Guess(), ft_trig_pseudo_polarize(), ft_trig_pseudo_rotate(), FTC_Cache_Clear(), FTC_Cache_RemoveFaceID(), Zeni::Controllers::get_controller_index(), get_setup_template(), get_vector(), getAVAudioStream(), getAVFileInfo(), TiXmlBase::GetChar(), GetClosestSupportedFormat(), GetConfigValue(), TiXmlBase::GetEntity(), SDL_BApp::GetID(), GetLerpedHrtfCoeffs(), ForLoopUnroll::GetLoopIndexValue(), GetMovingHrtfCoeffs(), TFunction::getParam(), GetSourceiv(), GetSourceOffset(), GetSourceOffsets(), GetSourceSecOffset(), getUserDefinedVariableInfo(), getval(), getVariableInfo(), glewCreateContext(), glewInfoFunc(), glewPrintExt(), Zeni::grab_bytes(), gxv_bsln_parts_fmt2_validate(), gxv_ClassTable_validate(), gxv_feat_name_validate(), gxv_feat_validate(), gxv_just_actSubrecord_type0_validate(), gxv_just_pcActionRecord_validate(), gxv_just_wdc_entry_validate(), gxv_just_widthDeltaClusters_validate(), gxv_kern_subtable_fmt0_pairs_validate(), gxv_kern_subtable_fmt3_validate(), gxv_kern_validate_generic(), gxv_lcar_LookupValue_validate(), gxv_LookupTable_fmt0_validate(), gxv_LookupTable_fmt8_validate(), gxv_mort_featurearray_validate(), gxv_mort_subtable_type1_substTable_validate(), gxv_mort_subtables_validate(), gxv_mort_validate(), gxv_morx_subtable_type1_substitutionTable_validate(), gxv_morx_subtables_validate(), gxv_morx_validate(), gxv_odtect_validate(), gxv_opbd_LookupValue_validate(), gxv_set_length_by_ulong_offset(), gxv_set_length_by_ushort_offset(), gxv_sfntName_validate(), gxv_trak_trackTable_validate(), gxv_validate(), HandleClient(), hash_free(), hash_rehash(), sh::OutputHLSL::header(), Hilbert(), huft_build(), ialloc(), if(), inflate_blocks(), Zeni::Video_GL_Shader::init(), Zeni::Video_GL_Fixed::init(), init_bins(), Zeni::Video_DX9::init_context(), InitContext(), InitEffectSlot(), InitMS_ADPCM(), InitSourceParams(), pp::Input::Input(), int_percentage_read(), IsSupportedFormat(), kfdata_read(), Laguerre_With_Deflation(), launch(), lib3ds_camera_read(), lib3ds_file_bounding_box_of_objects(), lib3ds_file_camera_by_name(), lib3ds_file_create_nodes_for_meshes(), lib3ds_file_light_by_name(), lib3ds_file_material_by_name(), lib3ds_file_mesh_by_name(), lib3ds_io_write_rgb(), lib3ds_io_write_vector(), lib3ds_light_read(), lib3ds_math_cubic_interp(), lib3ds_matrix_add(), lib3ds_matrix_identity(), lib3ds_matrix_inv(), lib3ds_matrix_mult(), lib3ds_matrix_neg(), lib3ds_matrix_scalar(), lib3ds_matrix_scale(), lib3ds_matrix_sub(), lib3ds_matrix_translate(), lib3ds_matrix_transpose(), lib3ds_matrix_zero(), lib3ds_mesh_bounding_box(), lib3ds_mesh_calculate_face_normals(), lib3ds_mesh_calculate_vertex_normals(), lib3ds_mesh_read(), lib3ds_mesh_resize_faces(), lib3ds_mesh_write(), lib3ds_node_new_mesh_instance(), lib3ds_node_write(), lib3ds_quat_cnj(), lib3ds_quat_copy(), lib3ds_quat_exp(), lib3ds_quat_ln(), lib3ds_quat_neg(), lib3ds_quat_normalize(), lib3ds_quat_scalar(), lib3ds_quat_slerp(), lib3ds_quat_tangent(), lib3ds_track_read(), lib3ds_track_write(), lib3ds_util_insert_array(), lib3ds_util_reserve_array(), lib3ds_vector_add(), lib3ds_vector_copy(), lib3ds_vector_max(), lib3ds_vector_min(), lib3ds_vector_scalar_mul(), lib3ds_vector_sub(), lib3ds_vector_zero(), lib3ds_viewport_write(), LimitMagnitudeResponse(), load_truetype_glyph(), LoadAsciiSource(), LoadBinarySource(), LoadConfigFromFile(), LoadHrtf(), LoadHrtf00(), LoadHrtf01(), LoadReverbPreset(), local_book_besterror(), MagnitudeResponse(), main(), Map1to1(), Map1toN(), mapping0_forward(), mapping0_inverse(), mapping0_pack(), mapping0_unpack(), max_curve(), mdata_read(), mdata_write(), mdct_butterflies(), mdct_forward(), mdct_init(), min_curve(), MinimumPhase(), MMDevApiMsgProc(), MMDevApiOpenPlayback(), ForLoopUnroll::NeedsToReplaceSymbolWithValue(), NewThunkEntry(), Newton_Raphson(), NormalizeHrirs(), ogg_page_checksum_set(), ogg_page_packets(), ogg_stream_flush_i(), ogg_stream_iovecin(), ogg_stream_pagein(), ogg_sync_pageseek(), oggpack_writecopy_helper(), Zeni::Text_Box::on_accept(), Zeni::Text_Box::on_key(), Zeni::Selector::on_mouse_button(), Zeni::Selector::on_mouse_motion(), open_audio_device(), open_face(), opensl_start_playback(), Zeni::Matrix4f::operator*(), otv_Coverage_validate(), otv_GlyphAssembly_validate(), otv_MathConstants_validate(), otv_MathGlyphConstruction_validate(), otv_MathItalicsCorrectionInfo_validate(), otv_MathKern_validate(), otv_MathKernInfo_validate(), otv_MathVariants_validate(), outputCallback(), BuiltInFunctionEmulator::OutputEmulatedFunctionDefinition(), OutputTreeText(), ov_bitrate(), ov_clear(), ov_crosslap(), ov_halfrate(), ov_pcm_seek(), ov_pcm_total(), ov_raw_seek(), ov_raw_total(), ov_read_filter(), ov_time_total(), TParseContext::parseVectorFields(), PCF_Face_Done(), pcf_find_property(), pcf_get_bitmaps(), pcf_get_encodings(), pcf_get_metrics(), pcf_get_properties(), pcf_has_table_type(), pcf_read_TOC(), pcf_seek_to_table_type(), pfr_glyph_load_compound(), pfr_glyph_load_rec(), pfr_glyph_load_simple(), png_ascii_from_fixed(), png_build_16bit_table(), png_build_16to8_table(), png_build_8bit_table(), png_build_grayscale_palette(), png_check_chunk_name(), png_check_fp_number(), png_crc_finish(), png_destroy_gamma_table(), png_do_bgr(), png_do_compose(), png_do_expand(), png_do_expand_palette(), png_do_gamma(), png_do_gray_to_rgb(), png_do_invert(), png_do_pack(), png_do_quantize(), png_do_read_filler(), png_do_read_interlace(), png_do_read_intrapixel(), png_do_read_invert_alpha(), png_do_read_swap_alpha(), png_do_rgb_to_gray(), png_do_shift(), png_do_swap(), png_do_unpack(), png_do_write_interlace(), png_do_write_intrapixel(), png_do_write_invert_alpha(), png_do_write_swap_alpha(), png_formatted_warning(), png_free_data(), PNG_FUNCTION(), png_handle_hIST(), png_handle_pCAL(), png_handle_PLTE(), png_handle_sCAL(), png_init_filter_heuristics(), png_init_palette_transformations(), png_init_read_transformations(), png_push_process_row(), png_push_save_buffer(), png_read_filter_row_avg(), png_read_filter_row_sub(), png_read_filter_row_up(), png_read_image(), png_read_rows(), png_set_filter_heuristics(), png_set_filter_heuristics_fixed(), png_set_hIST(), png_set_keep_unknown_chunks(), png_set_pCAL(), png_set_quantize(), png_set_sPLT(), png_set_text_2(), png_set_unknown_chunks(), png_user_version_check(), png_write_compressed_data_out(), png_write_end(), png_write_find_filter(), png_write_hIST(), png_write_image(), png_write_info(), png_write_pCAL(), png_write_PLTE(), png_write_rows(), png_write_sPLT(), point_array_write(), pos_key_setup(), pp_scan_bytes(), TiXmlElement::Print(), TiXmlText::Print(), PrintActiveVariables(), printEFXInfo(), PrintExtensions(), ProbeCaptureDevices(), ProbeDevices(), ProbePlaybackDevices(), process_postprocess(), process_preprocess(), process_vector(), TIntermediate::promoteConstantUnion(), PSP_GL_CreateContext(), PSP_InitOSKeymap(), PSP_PumpEvents(), PSPAUD_OpenDevice(), quat_for_index(), ReadBin4(), ReadBin8(), ReadBinAsDouble(), ReadWaveData(), ReadWaveList(), ReconstructHrirs(), ReleaseALBuffers(), ReleaseALEffects(), ReleaseALFilters(), Zeni::render(), Zeni::Selector::render_impl(), Zeni::Text_Box::render_impl(), Render_Single_Pass(), Zeni::Font_FT::render_text(), RenderDrawLinesWithRects(), RenderDrawPointsWithRects(), res0_inverse(), res1_class(), res1_forward(), res1_inverse(), res2_class(), res2_forward(), res2_inverse(), ResamplerRun(), ResamplerSetup(), Zeni::Controllers::reset_vibration_all(), Zeni::Image::resize(), rot_key_setup(), SafeRelease(), sh::OutputHLSL::scopeString(), SDL_AddDisplayMode(), SDL_AddDollarGesture(), SDL_AudioInit(), SDL_AudioQuit(), SDL_BlendFillRects(), SDL_BlendLines(), SDL_BlendPoints(), SDL_BuildAudioResampleCVT(), SDL_BuildAudioTypeCVT(), SDL_CalculateGammaRamp(), SDL_ChooseBlitFunc(), SDL_CondBroadcast(), SDL_Convert_F32LSB_to_F32MSB(), SDL_Convert_F32LSB_to_S16LSB(), SDL_Convert_F32LSB_to_S16MSB(), SDL_Convert_F32LSB_to_S32LSB(), SDL_Convert_F32LSB_to_S32MSB(), SDL_Convert_F32LSB_to_S8(), SDL_Convert_F32LSB_to_U16LSB(), SDL_Convert_F32LSB_to_U16MSB(), SDL_Convert_F32LSB_to_U8(), SDL_Convert_F32MSB_to_F32LSB(), SDL_Convert_F32MSB_to_S16LSB(), SDL_Convert_F32MSB_to_S16MSB(), SDL_Convert_F32MSB_to_S32LSB(), SDL_Convert_F32MSB_to_S32MSB(), SDL_Convert_F32MSB_to_S8(), SDL_Convert_F32MSB_to_U16LSB(), SDL_Convert_F32MSB_to_U16MSB(), SDL_Convert_F32MSB_to_U8(), SDL_Convert_S16LSB_to_F32LSB(), SDL_Convert_S16LSB_to_F32MSB(), SDL_Convert_S16LSB_to_S16MSB(), SDL_Convert_S16LSB_to_S32LSB(), SDL_Convert_S16LSB_to_S32MSB(), SDL_Convert_S16LSB_to_S8(), SDL_Convert_S16LSB_to_U16LSB(), SDL_Convert_S16LSB_to_U16MSB(), SDL_Convert_S16LSB_to_U8(), SDL_Convert_S16MSB_to_F32LSB(), SDL_Convert_S16MSB_to_F32MSB(), SDL_Convert_S16MSB_to_S16LSB(), SDL_Convert_S16MSB_to_S32LSB(), SDL_Convert_S16MSB_to_S32MSB(), SDL_Convert_S16MSB_to_S8(), SDL_Convert_S16MSB_to_U16LSB(), SDL_Convert_S16MSB_to_U16MSB(), SDL_Convert_S16MSB_to_U8(), SDL_Convert_S32LSB_to_F32LSB(), SDL_Convert_S32LSB_to_F32MSB(), SDL_Convert_S32LSB_to_S16LSB(), SDL_Convert_S32LSB_to_S16MSB(), SDL_Convert_S32LSB_to_S32MSB(), SDL_Convert_S32LSB_to_S8(), SDL_Convert_S32LSB_to_U16LSB(), SDL_Convert_S32LSB_to_U16MSB(), SDL_Convert_S32LSB_to_U8(), SDL_Convert_S32MSB_to_F32LSB(), SDL_Convert_S32MSB_to_F32MSB(), SDL_Convert_S32MSB_to_S16LSB(), SDL_Convert_S32MSB_to_S16MSB(), SDL_Convert_S32MSB_to_S32LSB(), SDL_Convert_S32MSB_to_S8(), SDL_Convert_S32MSB_to_U16LSB(), SDL_Convert_S32MSB_to_U16MSB(), SDL_Convert_S32MSB_to_U8(), SDL_Convert_S8_to_F32LSB(), SDL_Convert_S8_to_F32MSB(), SDL_Convert_S8_to_S16LSB(), SDL_Convert_S8_to_S16MSB(), SDL_Convert_S8_to_S32LSB(), SDL_Convert_S8_to_S32MSB(), SDL_Convert_S8_to_U16LSB(), SDL_Convert_S8_to_U16MSB(), SDL_Convert_S8_to_U8(), SDL_Convert_U16LSB_to_F32LSB(), SDL_Convert_U16LSB_to_F32MSB(), SDL_Convert_U16LSB_to_S16LSB(), SDL_Convert_U16LSB_to_S16MSB(), SDL_Convert_U16LSB_to_S32LSB(), SDL_Convert_U16LSB_to_S32MSB(), SDL_Convert_U16LSB_to_S8(), SDL_Convert_U16LSB_to_U16MSB(), SDL_Convert_U16LSB_to_U8(), SDL_Convert_U16MSB_to_F32LSB(), SDL_Convert_U16MSB_to_F32MSB(), SDL_Convert_U16MSB_to_S16LSB(), SDL_Convert_U16MSB_to_S16MSB(), SDL_Convert_U16MSB_to_S32LSB(), SDL_Convert_U16MSB_to_S32MSB(), SDL_Convert_U16MSB_to_S8(), SDL_Convert_U16MSB_to_U16LSB(), SDL_Convert_U16MSB_to_U8(), SDL_Convert_U8_to_F32LSB(), SDL_Convert_U8_to_F32MSB(), SDL_Convert_U8_to_S16LSB(), SDL_Convert_U8_to_S16MSB(), SDL_Convert_U8_to_S32LSB(), SDL_Convert_U8_to_S32MSB(), SDL_Convert_U8_to_S8(), SDL_Convert_U8_to_U16LSB(), SDL_Convert_U8_to_U16MSB(), SDL_ConvertMono(), SDL_ConvertStereo(), SDL_ConvertStrip(), SDL_ConvertStrip_2(), SDL_ConvertSurface(), SDL_ConvertSurround(), SDL_ConvertSurround_4(), SDL_CreateTextureFromSurface(), SDL_CreateWindowTexture(), SDL_DelTouch(), SDL_DitherColors(), SDL_DrawLines(), SDL_DrawPoints(), SDL_EnclosePoints(), SDL_FillRects(), SDL_FindColor(), SDL_GameControllerEventState(), SDL_GameControllerInit(), SDL_GestureProcessEvent(), SDL_GetClosestDisplayModeForDisplay(), SDL_GetCPUType(), SDL_getenv(), SDL_GetGestureTouch(), SDL_GetKeyFromName(), SDL_GetPowerInfo(), SDL_GetScancodeFromName(), SDL_GetSpanEnclosingRect(), SDL_GetWindowDisplayIndex(), SDL_GetWindowGammaRamp(), SDL_GL_ExtensionSupported(), SDL_HapticClose(), SDL_HapticNewEffect(), SDL_HapticOpen(), SDL_HapticOpened(), SDL_HapticOpenFromJoystick(), SDL_HashDollar(), SDL_iconv_open(), SDL_JoystickEventState(), SDL_JoystickGetGUIDFromString(), SDL_JoystickGetGUIDString(), SDL_JoystickUpdate(), SDL_LoadBMP_RW(), SDL_LoadDollarTemplates(), SDL_MostSignificantBitIndex32(), SDL_PeepEvents(), SDL_PrivateGameControllerParseControllerConfigString(), SDL_RecordGesture(), SDL_RenderDrawLines(), SDL_RenderDrawPoints(), SDL_RenderDrawRects(), SDL_RenderFillRects(), SDL_ResetMouse(), SDL_SaveAllDollarTemplates(), SDL_SaveBMP_RW(), SDL_SaveDollarTemplate(), SDL_setenv(), SDL_SetError(), SDL_StopEventLoop(), SDL_StreamRead(), SDL_StreamWrite(), SDL_SW_CreateYUVTexture(), SDL_SW_SetupYUVDisplay(), SDL_SYS_JoystickInit(), SDL_SYS_JoystickUpdate(), SDL_SYS_SetupThread(), SDL_TLSCleanup(), SDL_TLSSet(), SDL_TouchQuit(), SDL_utf8strlcpy(), SDL_VideoInit(), SDL_VideoQuit(), SDL_WasInit(), SDLNet_AllocPacketV(), SDLNet_AllocSocketSet(), SDLNet_CheckSockets(), SDLNet_DelSocket(), SDLNet_FreePacketV(), SDLNet_UDP_RecvV(), SDLNet_UDP_SendV(), SDLTest_CommonEvent(), SDLTest_CommonInit(), SDLTest_CommonQuit(), SDLTest_CompareSurfaces(), SDLTest_Crc32Init(), SDLTest_Md5Final(), SDLTest_Md5Update(), SDLTest_PrintRenderer(), seed_chase(), seed_curve(), seed_loop(), Zeni::Text_Box::seek_cursor(), SendBuf(), SendHello(), SetDefaultChannelOrder(), SetDefaultWFXChannelOrder(), ConstantUnion::setIConst(), SetSpeakerArrangement(), setup_tone_curves(), sfnt_load_face(), ShGetNameHashingEntry(), Zeni::Collision::Parallelepiped::shortest_distance(), SilenceData(), skip_literal_string(), spotlight_read(), StartPlayer(), StoreMhr(), StoreTable(), SW_RenderDrawLines(), SW_RenderDrawPoints(), SW_RenderFillRects(), switch(), SynthesizeHrirs(), t1_decoder_parse_charstrings(), T1_Get_MM_Var(), t1_get_name_index(), T1_Get_Track_Kerning(), T1_Open_Face(), T1_Set_Var_Design(), t42_get_name_index(), t42_parse_dict(), t42_parse_sfnts(), test_atan2(), test_cos(), test_length(), test_one_file(), test_rotate(), test_sin(), test_tan(), test_unit(), texco_array_write(), tmalloc_large(), tmalloc_small(), todB(), track_eval_linear(), Zeni::Matrix4f::transpose(), Zeni::Matrix4f::transposed(), tt_check_single_notdef(), tt_check_trickyness_sfnt_ids(), tt_face_init(), tt_get_sfnt_checksum(), tt_loader_init(), TT_Process_Composite_Component(), TT_Process_Composite_Glyph(), TT_Process_Simple_Glyph(), tt_synth_sfnt_checksum(), sh::OutputHLSL::typeString(), uncopy_32(), uncopy_opaque_16(), uncopy_transl_16(), unitnorm(), Zeni::unserialize(), Zeni::Sound_Source_Pool::update(), UpdateDeviceParams(), v_gradient_read(), ValidHaptic(), Zeni::Vertex_Buffer_Renderer_DX9::Vertex_Buffer_Renderer_DX9(), Zeni::Vertex_Buffer_Renderer_GL_Fixed::Vertex_Buffer_Renderer_GL_Fixed(), Zeni::Vertex_Buffer_Renderer_GL_Shader::Vertex_Buffer_Renderer_GL_Shader(), CollectAttribsUniforms::visitAggregate(), sh::OutputHLSL::visitAggregate(), sh::UnfoldShortCircuit::visitBinary(), sh::OutputHLSL::visitBinary(), sh::UnfoldShortCircuit::visitSelection(), VisualInfo(), vorbis_analysis(), vorbis_analysis_blockout(), vorbis_analysis_buffer(), vorbis_analysis_wrote(), vorbis_block_clear(), vorbis_block_init(), vorbis_book_decodev_add(), vorbis_book_decodev_set(), vorbis_book_decodevs_add(), vorbis_book_decodevv_add(), vorbis_book_init_decode(), vorbis_comment_clear(), vorbis_comment_query(), vorbis_comment_query_count(), vorbis_dBquant(), vorbis_dsp_clear(), vorbis_encode_compand_setup(), vorbis_encode_floor_setup(), vorbis_encode_global_psych_setup(), vorbis_encode_global_stereo(), vorbis_encode_map_n_res_setup(), vorbis_encode_noisebias_setup(), vorbis_encode_residue_setup(), vorbis_encode_setup_init(), vorbis_encode_setup_setting(), vorbis_encode_tonemask_setup(), vorbis_info_clear(), vorbis_lpc_from_data(), vorbis_lpc_predict(), vorbis_lpc_to_lsp(), vorbis_lsp_to_curve(), vorbis_staticbook_pack(), vorbis_staticbook_unpack(), vorbis_synthesis(), vorbis_synthesis_blockin(), vorbis_synthesis_lapout(), vorbis_synthesis_pcmout(), vqgen_cellmetric(), vqgen_iterate(), vqgen_sortmesh(), WaveProc(), Zeni::Window::Window(), WinMMCloseCapture(), WinMMOpenCapture(), WinMMOpenPlayback(), WinMMStartPlayback(), WinMMStopPlayback(), write_codebook(), WriteBin4(), TOutputGLSLBase::writeConstantUnion(), sh::OutputHLSL::writeConstantUnion(), yy_get_next_buffer(), yy_scan_bytes(), zenilib_main(), DetectCallDepth::~DetectCallDepth(), pp::MacroExpander::~MacroExpander(), TFunction::~TFunction(), Zeni::Vertex_Buffer_Renderer_GL_Fixed::~Vertex_Buffer_Renderer_GL_Fixed(), and Zeni::Vertex_Buffer_Renderer_GL_Shader::~Vertex_Buffer_Renderer_GL_Shader().

max_dl = PNG_SIZE_MAX / png_sizeof(png_sPLT_entry)

Definition at line 1381 of file pngrutil.c.

new_palette name = png_ptr->chunkdata

Definition at line 1545 of file pngrutil.c.

new_palette nentries = (png_int_32)(data_length / entry_size)

Definition at line 1484 of file pngrutil.c.

Referenced by png_set_sPLT().

png_sPLT_t new_palette

Definition at line 1374 of file pngrutil.c.

pC = (png_bytep)(png_ptr->chunkdata + prefix_length)

Definition at line 1239 of file pngrutil.c.

png_sPLT_entryp pp

Definition at line 1375 of file pngrutil.c.

Referenced by af_latin2_metrics_init_blues(), af_latin_metrics_init_blues(), Laguerre_With_Deflation(), lib3ds_track_eval_quat(), load_truetype_glyph(), Newton_Raphson(), pfr_extra_items_parse(), png_write_find_filter(), track_eval_linear(), and tt_sbit_decoder_load_metrics().

prefix_length = profile - png_ptr->chunkdata

Definition at line 1244 of file pngrutil.c.

profile

Definition at line 1240 of file pngrutil.c.

Referenced by InsNew(), and test_one_file().

profile_length = data_length - prefix_length

Definition at line 1243 of file pngrutil.c.

profile_size

Initial value:
= ((*(pC )) << 24) |
((*(pC + 1)) << 16) |
((*(pC + 2)) << 8) |
((*(pC + 3)) )
pC
png_bytep pC
Definition: pngrutil.c:1239

Definition at line 1242 of file pngrutil.c.

return Display return Display Bool Bool int int int return Display XEvent Bool(*) SDL_X11_SYM XPointer return Display return Display Drawable _Xconst char unsigned int unsigned int return Display Pixmap Pixmap XColor XColor unsigned int unsigned int return Display _Xconst char char int char return Display Visual unsigned int int int char unsigned int unsigned int int int return Display Window Cursor return Display Window return Display Drawable GC int int unsigned int unsigned int return Display Drawable GC int int _Xconst char int return Display Drawable GC int int unsigned int unsigned int return Display return Display Cursor return Display GC return XModifierKeymap return char Display Window int return Display return Display Atom return Display Window XWindowAttributes return Display Window return Display XEvent Bool(*) XPointer return Display Window Bool unsigned int int int Window Cursor Time return Display Window int return KeySym return Display _Xconst char Bool return Display _Xconst char return XKeyEvent char int KeySym XComposeStatus return Display int int int XVisualInfo return Display Window int int return _Xconst char return Display XEvent return Display Drawable GC XImage int int int int unsigned int unsigned int return Display Window Window Window int int int int unsigned int return Display Window Window int int return Display Window unsigned int unsigned int return Display Window Bool long XEvent return Display GC unsigned long return Display Window int Time return Display Window Window return Display Window unsigned long return Display Window XSizeHints Display Colormap XColor int return char int XTextProperty return XFontStruct _Xconst char int int int int XCharStruct return Display Window return Display Time return Display Colormap return Display Window Window int int unsigned int unsigned int int int return Display Window int return XExtensionInfo Display char XExtensionHooks int XPointer return XExtensionInfo XExtensionInfo Display return Display return Display unsigned long Display GC Display char long Display xReply int Bool return Display Bool return Display int SDL_X11_XESetEventToWireRetType return Display XShmSegmentInfo return Display Drawable GC XImage int int int int unsigned int unsigned int Bool return(XImage *, XShmCreateImage,(Display *a, Visual *b, unsigned int c, int d, char *e, XShmSegmentInfo *f, unsigned int g, unsigned int h),(a, b, c, d, e, f, g, h), return) SDL_X11_SYM(Pixmap

Definition at line 1266 of file pngrutil.c.

Referenced by FT_DEFINE_SERVICE_PSINFOREC(), inflateMark(), png_get_oFFs(), png_get_sRGB(), read_user_chunk_callback(), and SDLTest_Random().

png_uint_32 skip = 0

Definition at line 1241 of file pngrutil.c.

Referenced by png_combine_row(), png_push_crc_skip(), png_push_handle_unknown(), ReadWaveData(), ReadWaveList(), RLEAlphaSurface(), and RLEColorkeySurface().

png_size_t slength = length

Definition at line 1244 of file pngrutil.c.

Referenced by png_handle_iTXt(), png_handle_pCAL(), png_handle_sCAL(), png_handle_tEXt(), and png_handle_zTXt().

void

Initial value:
{
png_byte compression_type
png_byte
unsigned char png_byte
Definition: pngconf.h:449
compression_type
compression_type
Definition: pngrutil.c:1309

Definition at line 1237 of file pngrutil.c.